/*******************************************************************************
* File Name: Display.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Display_H) /* Pins Display_H */
#define CY_PINS_Display_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Display_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Display_Write(uint8 value) ;
void    Display_SetDriveMode(uint8 mode) ;
uint8   Display_ReadDataReg(void) ;
uint8   Display_Read(void) ;
uint8   Display_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Display_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Display_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Display_DM_RES_UP          PIN_DM_RES_UP
#define Display_DM_RES_DWN         PIN_DM_RES_DWN
#define Display_DM_OD_LO           PIN_DM_OD_LO
#define Display_DM_OD_HI           PIN_DM_OD_HI
#define Display_DM_STRONG          PIN_DM_STRONG
#define Display_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Display_MASK               Display__MASK
#define Display_SHIFT              Display__SHIFT
#define Display_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Display_PS                     (* (reg8 *) Display__PS)
/* Data Register */
#define Display_DR                     (* (reg8 *) Display__DR)
/* Port Number */
#define Display_PRT_NUM                (* (reg8 *) Display__PRT) 
/* Connect to Analog Globals */                                                  
#define Display_AG                     (* (reg8 *) Display__AG)                       
/* Analog MUX bux enable */
#define Display_AMUX                   (* (reg8 *) Display__AMUX) 
/* Bidirectional Enable */                                                        
#define Display_BIE                    (* (reg8 *) Display__BIE)
/* Bit-mask for Aliased Register Access */
#define Display_BIT_MASK               (* (reg8 *) Display__BIT_MASK)
/* Bypass Enable */
#define Display_BYP                    (* (reg8 *) Display__BYP)
/* Port wide control signals */                                                   
#define Display_CTL                    (* (reg8 *) Display__CTL)
/* Drive Modes */
#define Display_DM0                    (* (reg8 *) Display__DM0) 
#define Display_DM1                    (* (reg8 *) Display__DM1)
#define Display_DM2                    (* (reg8 *) Display__DM2) 
/* Input Buffer Disable Override */
#define Display_INP_DIS                (* (reg8 *) Display__INP_DIS)
/* LCD Common or Segment Drive */
#define Display_LCD_COM_SEG            (* (reg8 *) Display__LCD_COM_SEG)
/* Enable Segment LCD */
#define Display_LCD_EN                 (* (reg8 *) Display__LCD_EN)
/* Slew Rate Control */
#define Display_SLW                    (* (reg8 *) Display__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Display_PRTDSI__CAPS_SEL       (* (reg8 *) Display__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Display_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Display__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Display_PRTDSI__OE_SEL0        (* (reg8 *) Display__PRTDSI__OE_SEL0) 
#define Display_PRTDSI__OE_SEL1        (* (reg8 *) Display__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Display_PRTDSI__OUT_SEL0       (* (reg8 *) Display__PRTDSI__OUT_SEL0) 
#define Display_PRTDSI__OUT_SEL1       (* (reg8 *) Display__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Display_PRTDSI__SYNC_OUT       (* (reg8 *) Display__PRTDSI__SYNC_OUT) 


#if defined(Display__INTSTAT)  /* Interrupt Registers */

    #define Display_INTSTAT                (* (reg8 *) Display__INTSTAT)
    #define Display_SNAP                   (* (reg8 *) Display__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Display_H */


/* [] END OF FILE */
